QUESTION ABOUT: NEW DSI FIRMWARE 1.4U ??

Discussion in 'NDS - Flashcarts and Accessories' started by Rice8Azn, Aug 1, 2009.

  1. Rice8Azn
    OP

    Rice8Azn Member

    Newcomer
    40
    0
    Apr 12, 2009
    Hong Kong
    Canada
    I ordered an Acekard 2i and will be receiving it tomorrow, but I read that the new firmware has blocked a few flash cards but does it block ALL Flash cards?

    My current ndsi firmware is 1.3U still I've been precautions about this every since I ordered my card.
     
  2. Da-Bomb1

    Da-Bomb1 GBAtemp Advanced Fan

    Member
    795
    0
    Apr 19, 2009
    Canada
    BC, Canada
    Don't upgrade to 1.4U, it blocks ALL DSi compatible flashcarts, without exception. There is a chance, however, that the AK2i can get around this, but you need to be able to boot into the card's menu first to do so, so wait before upgrading your DSi's fimrware.
     
  3. MissingNo._

    MissingNo._ aka MissingNoL

    Member
    748
    2
    Apr 12, 2009
    United States
    Greater Bay Area, California
    It blocks all i flash carts. I have an Acekard 2i and I really don't want to buy a new cart if hardware updates are needed.
     
  4. Rice8Azn
    OP

    Rice8Azn Member

    Newcomer
    40
    0
    Apr 12, 2009
    Hong Kong
    Canada

    Argh that really sucks!

    What happens if I try to connect to the internet? Like just to go on google on my ndsi?

    Does it update it if I connect to the internet?
     
  5. Rice8Azn
    OP

    Rice8Azn Member

    Newcomer
    40
    0
    Apr 12, 2009
    Hong Kong
    Canada

    Did it block your cart??
     
  6. Da-Bomb1

    Da-Bomb1 GBAtemp Advanced Fan

    Member
    795
    0
    Apr 19, 2009
    Canada
    BC, Canada
    Calm down...nothing bad's gonna happen unless you go and update the DSi yourself. Just wait around and see if they're gonna release a fix. Once they do, then you're set...but for now, Nintendo can't force you into absolutely having to update your system.
     
  7. Rice8Azn
    OP

    Rice8Azn Member

    Newcomer
    40
    0
    Apr 12, 2009
    Hong Kong
    Canada
    [​IMG] I'm calm

    But I'm just wondering, if I were to go on DSi internet, would it update my firmware that way? Or must I be on the "update system" (or w.e) ?

    [​IMG] [​IMG]
     
  8. Da-Bomb1

    Da-Bomb1 GBAtemp Advanced Fan

    Member
    795
    0
    Apr 19, 2009
    Canada
    BC, Canada
    Yeah, you have to do it manually, it won't do it for you. I hear it won't let you access the shop without it, but so far, I haven't actually had that problem...
     
  9. Rice8Azn
    OP

    Rice8Azn Member

    Newcomer
    40
    0
    Apr 12, 2009
    Hong Kong
    Canada

    Oh thank goodness! I can still use wifi then xD I was kind of worried about this but thanks for clearing this up for me!

    I've got a few questions:

    1. Do you use an Acekard 2i [if not please don't answer 3 and 4]

    2. Do you know how to create firmware? How can I make one my self?

    3. Where can I get the latest Acekard 2i firmware.

    4. Does it need a kernal, like how R4's work?

    Thanks!
     
  10. elixirdream

    elixirdream GBAtemp Legend

    Member
    10,007
    2
    May 27, 2008
    Malaysia
    6th Dimention
    Question 2
    make your own firmware?
     
  11. Rice8Azn
    OP

    Rice8Azn Member

    Newcomer
    40
    0
    Apr 12, 2009
    Hong Kong
    Canada
     
  12. elixirdream

    elixirdream GBAtemp Legend

    Member
    10,007
    2
    May 27, 2008
    Malaysia
    6th Dimention
    since you are not mr technical at all = NO [​IMG]
    hahahaha [​IMG]

    no harm having a dream
     
  13. Plague_Host_Extr

    Plague_Host_Extr Member

    Newcomer
    37
    0
    Jan 18, 2009
    United States
    Upon a seated throne of pure s
    To use the DSiBrowser, you need to update your DSi. All online applications from the DSi store require the latest update to use. So either get used to Bungalloo (Slow loading, not that great, crashing), or update your firmware and wait for a way around it. I'm sure you "homebrew" usage isn't that great, and more than... eh... 70% of flashcart users only use flashcarts for DS games. [​IMG] (guestimating that percent lol)

    Edit: I'm guessing their reason behind requiring it for all online DSi is to "persuade" users into updating. Infact, even though more than 90% of the DSiWare is bullcrap, all of them require the latest version in order to be operable. (Provided they have a wifi connect within the area since the DSi has 24/7 internet connection [when on, of coarse])
     
  14. Rice8Azn
    OP

    Rice8Azn Member

    Newcomer
    40
    0
    Apr 12, 2009
    Hong Kong
    Canada

    [​IMG] lawlz

    yup!
     
  15. Plague_Host_Extr

    Plague_Host_Extr Member

    Newcomer
    37
    0
    Jan 18, 2009
    United States
    Upon a seated throne of pure s
    And by make you own firmware what do you mean? DSi firmware or Flashcard firmware? For DSi firmware, you'd need to trick the DSi into downloading from a different server than the Nintendo server, which would mean figuring out their IP's used for the Update server, figuring out all the possible ports they used, disconnecting from the internet, writing a program to broadcast the new DSi firmware, a server to broadcast it with and then finding a way to broadcast it to the DSi. That would be a major part of it. Then, there's dumping the DSi firmware, testing it, and then hoping that Nintendo didn't put in a DSi fake firmware check.

    As for a Flashcart firmware, it takes a lot that I don't understand. Hell, I don't even know if my description of how to make a DSi firmware is even remotely correct.
     
  16. istian69

    istian69 Newbie

    Newcomer
    8
    0
    Jun 30, 2009
    United States
    is firmware 1.4U available now in US?
     
  17. PettingZoo

    PettingZoo yesss

    Member
    1,711
    1
    Oct 5, 2008
    in the trap
    Lol, all this DSi firmware stuff is making some people pretty paranoid. Though I guess I would be too if this was an issue to me, next thing I know I would be worried about Ninty breaking into my house in the middle of the night forcing me to update D:
     
  18. Plague_Host_Extr

    Plague_Host_Extr Member

    Newcomer
    37
    0
    Jan 18, 2009
    United States
    Upon a seated throne of pure s
    No. We get to wait. Probably until Monday.
     
  19. Rice8Azn
    OP

    Rice8Azn Member

    Newcomer
    40
    0
    Apr 12, 2009
    Hong Kong
    Canada

    Haha yeah, I'm just worried because I haven't received my Acekard 2i yet and there is this update... hopefully I didn't waste any money.
     
  20. soulx

    soulx GBAtemp Legend

    Member
    10,130
    4,709
    Apr 4, 2009
    Canada
    Aiyaiyai. People, relax. Info is on the front page of GBATEMP. STOP making posts like this.